.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}
.hidden { display: none; }

/* --- Overrides --- */

.page-header { z-index: 1; }

.container { padding-top:1px !important; }
#page-background { background-image: none; }
h1 { 
    font-size:2.3em;
    line-height:120%;
}
h2 { 
    font-size:2.1em;
    line-height: 100%;
}
.edit-btn {
    width:100%;
    font-size:1.6em;
    padding-top:0.6em;
    padding-bottom:0.6em;
}
.edit-btn span {
    top:50%;
    margin-top:-6px;
}
.content-50.center,
.content-33.center,
.content-100.center {
    margin: 0 auto;
}
.content-50.center p {
    margin: 0 auto;
}
/* --- New Styles --- */
#page-header p { text-align:right; }
h1.underline {
    background: url('/assets/reskin/images/tradesman-registration/underline.png') bottom right no-repeat;
    padding-bottom:0.2em;
    padding-right:4px;
    display:inline-block;
}

h1 span, 
h2 span { 
    color:#8fa633 
}

.section {
    background: url('/assets/reskin/images/tradesman-registration/section.png') top left no-repeat;
    background-position: 0 3px;
    margin-left: -50px;
    padding-left: 50px;

}
.largeFont {
    font-size: 1em;
    margin-left: -25px;
}
h2 em {
    font-size:0.6em;
    color: #54585A;
}
h2 a {
    font-size:0.48em;
    font-weight:normal;
    position:relative;
    top:-4px;
}
form div.confirmButton p {
    font-style:italic;
    text-align:right;
}
form div.confirmButton .edit-btn {
    width:437px;
    margin-bottom:0.2em;
}

.confirmButton button + a { 
    clear:right;
    margin-bottom: 20px;
}

.ol-induction {
    background-image: url("/assets/reskin/images/tradesman-registration/ol-bg.gif");
    background-position: 10px 0;
    background-repeat: repeat-y;
    padding-left: 100px;
}
.ol-one     { background-image: url("/assets/reskin/images/tradesman-registration/1.gif"); background-repeat: no-repeat;list-style: none outside none;
    padding-left: 35px; padding-bottom: 50px;}
.ol-two     { background-image: url("/assets/reskin/images/tradesman-registration/2.gif"); background-repeat: no-repeat;list-style: none outside none;
    padding-left: 35px; padding-bottom: 50px;}
.ol-three   { background-image: url("/assets/reskin/images/tradesman-registration/3.gif"); background-repeat: no-repeat; list-style: none outside none;
    padding-left: 35px; padding-bottom: 50px;}
.ol-four    { background-image: url("/assets/reskin/images/tradesman-registration/4.gif"); background-repeat: no-repeat; list-style: none outside none;
    padding-left: 35px; padding-bottom: 25px;}

.tmSignupMainSection {
    padding:3.3em 50px 25px;
    border-top:none;
    border-radius: 0 0 4px 4px;
}

/* --- Tooltips --- */

.form-element { position: relative }

.form-element label a.tooltipLink {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-left: 6px;
  vertical-align: middle;
  background: url("../../reskin/images/sprites/logged-out-sprite.png") 0px -116px;
}

.form-element aside.tooltipContainer:before {
  content: '';
  display: inline-block;
  float: left;
  margin-right: 8px;
  margin-top: 2px;
  width: 20px;
  height: 20px;
  background: url("../../reskin/images/sprites/logged-out-sprite.png") 0px -116px;
}

.form-element aside.tooltipContainer {
    border: 1px #CDCFCF solid;
    width: 300px;
    height: 100px;
    padding: 1.0em 1.5em;
    position: absolute;
    left: 331px;
    top: -107px;
    box-shadow: 0 0 8px #CDCFCF;
}

.form-element aside.tooltipContainer span:first-child {
    position: absolute;
    display: inline-block;
    width: 22px;
    height: 22px;
    background: url("../../reskin/images/sprites/logged-out-sprite.png") 0px -135px;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.form-element aside.tooltipContainer h1 {
    font-size: 1.14em;
    line-height: 153%;
    margin: 0 0 10px 0;
}

/* --- Navigation Styles --- */
#tmLoginLink {
    padding: 0 1em;
    background-color: #bfced6;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    border-radius:4px;
    float: left;
    height:41px;
    line-height:41px;
    text-decoration:none;
    margin:0 0 0 8px;
}

#tmLoginLink:hover span { padding-bottom:2px; border-bottom:1px solid #7f8283; }
#site-navigation ul a:hover { border-color: #7f8283 !important; }

.processSteps {
    height:40px;
    overflow:hidden;
    position:absolute;
    right:0;
    bottom:-7px;
    background: #F0F2F0;
    font-size:0.9em;
    margin:0;
}
@media all and (max-width:1023px) {
    .processSteps {
        right:20px;
    }
}
.processSteps li {
    width:140px !important;
    position:relative;
    line-height:40px;
    float:left;
    text-align:center;
    padding-left:10px;
}
.processSteps li:before, .processSteps li:after{
    content: "";
    width: 0;
    height: 0;
    position:absolute;
    top:0;
    z-index:999;
}
.processSteps li:before {
    right:-23px;
    border-left: 23px solid #fff;
    border-top: 23px solid transparent;
    border-bottom: 23px solid transparent;
    top: -3px;
}
.processSteps li:after {
    right:-20px;
    border-left: 20px solid #F0F2F0;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
}
.processSteps li:last-child { padding-left:0; }
.processSteps li:last-child:after, .processSteps li:last-child:before { display:none; }
.processSteps li.currentStep { background-color: #bfced6; }
.processSteps li.currentStep:after { border-left-color: #bfced6; }

/* --- Content Panel (Grey section --- */
.summaryInformation {
    background-color: #f0f2f0;
    padding: 32px 0;
    margin-bottom:1em;
}
.summaryInformation h3 {
    background: url('/assets/reskin/images/tradesman-registration/section-grey.gif') top left no-repeat;
    padding-left: 32px;
    font-size:1.15em;
    margin-top:20px;
}

.summaryInformation h3:first-child {
    margin-top:0;
}

.summaryInformation ul {
    padding:0 32px;
    margin-bottom:0;
}

.summaryInformation ul li {
    margin:1em 0 0 0;
    line-height:1.42em;
    padding-left:15px;
    background: url('/assets/reskin/images/tradesman-registration/bullet-chev.png') 0 8px no-repeat;
}

/* --- How it works footer --- */

.howItWorks div {
    padding-left:32px;
    background-position: top left;
    background-repeat:no-repeat;
}
.howItWorks h2 { font-size: 1.5em; }
.howItWorks h3 {
    color: #8FA633;
    /*font-size:1.4em;*/
    line-height:120%;
}
.howItWorks h3 span {
    background-color:#64852c;
    border-radius:20px;
    color:#fff;
    display:block;
    text-align:center;
    line-height:25px;
    width:25px;
    height:25px;
}

/* --- Free Trial Rosette  --- */

.rosette {
    top:15px;
    right:13px
}

@media all and (max-width:1023px) {
    .rosette {
        right:33px
    }
}

/* --- Postcode Search Page --- */

#coverageMap {
    width:446px;
    height:592px;
    background: url('/assets/reskin/images/tradesman-registration/coverage.jpg') top left no-repeat;
}

#postcodeRightColumn {
    width:315px;
    margin:1.5em 25px 0 0;
    text-align:center;
}
#postcodeRightColumn big {
    display:block;
    font-size:2.5em;
    width:200px;
    margin:0 auto 0.25em auto;
    color:#8FA633;
    line-height:68px;
    background-color:#f0f2f0;

}
#postcodeRightColumn small { font-size:1.3em; }

#postcodeSearchForm {
    background-color:#f0f2f0;
    padding:2.25em;
    margin-top:3.25em;
}
#postcodeSearchForm p {
    font-size:2.1em;
    line-height:120%;
}
#postcodeSearchForm form { position:relative; }
#postcodeSearchForm label {
    font-size:1.4em;
    line-height:1.7em;
    text-align:left;
}
#postcodeSearchForm input {
    font-size:1.4em;
    border:1px solid #54585b;
    outline:none;
    margin-bottom:0;
}
#postcodeSearchForm button { margin:1.5em 0 1.25em 0; }
#postcodeSearchForm input.error-highlight { background-color:#F5E4E4; }
#postcodeSearchForm em.error {
    text-align:left;
    position:absolute;
    margin-top:5px;
}
#postcodeSearchForm a {
    cursor:help;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#postcodeSearchForm small {
    display:block;
    height:0px;
    overflow:hidden;
    font-size:1em;
}

/* --- Skills Page --- */

.skillMatrix { margin-bottom:0; }
.skillMatrix li {
    float:left;
    margin-right:17px;
    margin-bottom:17px;
}
.skillMatrix li:nth-child(4n) { margin-right:0; }
/* Specific for ie8 - must be seperate selectors */
.skillMatrix li.nth-child4 { margin-right:0; }

.skillMatrix input { display:none; }
.skillMatrix li a {
    display:table-cell;
    vertical-align:middle;
    height:70px;
    width: 210px;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    border-radius:4px;
    text-align:center;
    color:#54585a;
    text-decoration:none;
    font-weight:normal;
    box-sizing:border-box;
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    -webkit-box-shadow: 0px 0px 3px #b8b9bb;
    -moz-box-shadow: 0px 0px 3px #b8b9bb;
    box-shadow: 0px 0px 8px #b8b9bb;
    border:1px solid #c9c9cc;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.skillMatrix li a.on, .skillMatrix li a:hover {
    background-image:none !important;
    background-color: #bdccd4;
    box-shadow: inset 2px -2px 2px #dae8ef, inset 0px 0px 3px #939ea7;
    border:1px solid #c9c9cc;
}

/* --- Work Area Page --- */

#radius {
    cursor:pointer;
    position:relative;
    border:1px solid #a9abac;
    background: url('/assets/reskin/images/tradesman-registration/select-arrow.gif') right 15px no-repeat;
    padding:0 24px 0 6px;
    border-radius: 4px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#radiusList {
    display:none;
    border:1px solid red;
    position:absolute;
    top:32px;
    left:-1px;
    z-index:1000;
    background-color:#fff;
    font-size:0.48em;
    border:1px solid #a9abac;
    text-align:right;
    box-shadow:0 3px 10px rgba(133, 136, 141, 1);
    width:100%;
}
#radiusList li { padding: 4px 20px 4px 20px; }
#radiusList li:hover, #radiusList li.selected {
    background-color:#3875d7;
    color:#fff;
}
#map-canvas {
    width:900px;
    height:500px;
    margin-bottom:1.5em;
}
#map-info {
    position: absolute;
    z-index: 1;
    bottom: 20px;
    left: 20px;
}

/* --- Account Details Page --- */

.leftColumn {
    font-size:1.3em;
    width:410px;
}

.rightColumnForm { width:50%; }
.rightColumnForm label{ margin-bottom:0.2em !important; }
.rightColumnForm .form-element { padding-bottom:0; }
.rightColumnForm input, .rightColumnForm select {
    max-width:100% !important;
    margin-bottom:0;
}
.rightColumnForm .radio-check label { font-size:0.85em; }
.rightColumnForm #postcode { width:142px; }
#find-postcode-button {
    width:61%;
    height:29px;
    line-height:29px;
    font-size:1.15em;
    padding:0;
}
.form-element { margin: 0 0 0.8em 0 !important; }
#find-postcode p { margin-top:5px; }

.tmClosingVideoSection iframe {
    -webkit-box-shadow: 1px 4px 4px 3px #CCC;
    box-shadow: 1px 4px 4px 3px #CCC;
    -moz-box-shadow: 1px 4px 4px 3px #CCC;
}

/* --- Select Plan Page --- */

.selectPlanPage h2.section { padding-right: 35px }

form#selectPlan {
    margin: 2.7em auto 2.0em;
    position: relative;
    width: 96%
}

form#selectPlan #orText {
    font-size: 2.85em;
    left: 50%;
    margin-left: -17px; /*center and move half width left */
    position: absolute;
    top: 25%
}

.selectPlanPage .planContainer {
    width: 360px;
    font-size: 1.3em
}

.selectPlanPage .plan {
    height: 150px;
    text-align: center;
    position: relative;
    z-index: 1
}

.selectPlanPage .planContainer .rosette {
    top: -33px;
    right: -38px
}

.selectPlanPage .plan:before {
    content: "";
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -0.25em; /* Adjusts for spacing */
}

.selectPlanPage .plan div {
    color: #8fa633;
    display: inline-block;
    font-size: 1.75em;
    position: relative;
    vertical-align: middle;
}

.selectPlanPage .plan h2 {
    border: none;
    font-size: 0.75em;
    padding-bottom: 0;
}

.selectPlanPage .plan p {
    margin: 0;
}

.selectPlanPage .plan p span {
    font-size: 0.6em;
}

.selectPlanPage .summaryInformation ul li {
   background-position: 0 5px;
}

.selectPlanPage  button { font-size: 1.2em }

/* --- PLI Insurance Page --- */

#pliPage > h1 { margin-bottom: 0.1em }

#pliPage #selectableInsuranceProvider, #pliPage #policyNumber { max-width: 443px }

#pliPage label { margin-bottom: 0.2em }

#pliPage #proofDocumentContainer { margin-bottom: 0 !important }

#pliPage #proofDocumentContainer button {
    font-size: 1.15em;
    height: 29px;
    line-height: 29px;
    padding: 0;
    width: 300px;
    margin: 0
}

/* uploaded confirmation */
#pliPage #proofDocumentContainer button + span {
    padding: 5px 0 5px 23px;
    margin-left: 6px;
    background: url("../../reskin/images/sprites/logged-out-sprite.png") 0px -158px no-repeat;
}

#uploadDialog, #uploadSubmit { display: none }


@media screen and (-webkit-min-device-pixel-ratio: 1.5), screen and (min-device-pixel-ratio: 1.5) {
    
    #coverageMap {
        background-image: url('/assets/reskin/images/tradesman-registration/coverage@2x.jpg');
        background-size: 100%
    }

    /* sprites */
    .form-element label a.tooltipLink,
    .form-element aside.tooltipContainer:before,
    .form-element aside.tooltipContainer span:first-child,
    #pliPage #proofDocumentContainer button + span {
      background-image: url("../images/sprites/logged-out-sprite@2x.png");
      background-size: 24px
    }
}
